# -*- coding: utf-8 -*- 
import commands, re

def get_cameras():                                           # get list of available cameras  
    vd = []
    stat, ls = commands.getstatusoutput( 'ls -l /dev/v4l/by-id' )
    if stat != 0: return vd
    for dir in ls.splitlines():
        i = dir.find( 'index' )
        if i < 0: continue 
        vv = dir[ i: ].split( ' -> ' )
        if int( vv[ 0 ][ ( re.search( '\d', vv[ 0 ] ).start( 0 ) ): ] ) != 0:
            continue                                         # video index not 0
        vd.append( int( vv[ 1 ][ ( re.search( '\d', vv[ 1 ] ).start( 0 ) ): ] ) )
    return vd

def get_default():                                           # get index of the default camera
    vd = get_cameras()
    if len( vd ) != 0: return vd[ 0 ]
    else: return -1
